Page MenuHomePhabricator

misplaced text in rendered SVG
Closed, ResolvedPublic

Description

Details

Reference
bz18900

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 10:37 PM
bzimport set Reference to bz18900.
bzimport created this task.May 24 2009, 1:43 PM

Text appears to be placed incorrectly. May or may not be dupe of other text-related issues which may or may not be fixed in later librsvg versions. Adding bug 8901 tracking bug.

overlordq wrote:

Problem still shows with librsvg 2.26.0

brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

bugsoft wrote:

Hi, everyone.
Issue.
In rendering svg-png, text layout shifted position.
Specifically, layout 'Align ="right" ' if the shift position if the base is the same line, the characters overlap.

thank you.

referance.
http://upload.wikimedia.org/wikipedia/commons/archive/0/07/20091110102257%21Japanese_Wosite_Base_48_table.svg

Are the issues mentioned in the comments still present? The files look apparently OK to me.

For me too, all seems ok now.

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:27 AM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:21 AM